Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000147Scorched3DGeneralpublic2011-12-08 01:362013-08-01 14:53
ReporterKangabunny 
Assigned Togcamp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version43.4 
Summary0000147: deathaction group counts
DescriptionThe accessories purchased as a death action accessory do not get used, but continue to be applied to the death action. It would be nice if they would be taken away from the player after a single death instead of replacing it for the whole game.

Armor
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000215)
gcamp (administrator)
2012-06-05 23:23

Fixed.
(0000235)
gcamp (administrator)
2013-08-01 14:53

Some more info on this.
When a tank dies the tank is checked to see if it is holding any accessories of type accessory group name "deathaction". If it is, a random one of these weapons is chosen for use as the death action. If this accessory has a use number (usenumber) greater than zero then the death action will use up this accessory, obviosuly if the accessories are used up then the tank cannot use it as it's death action.

If the tank is not holding an "deathaction" accessories, the global death action defined in the accessories.xml file is used.

- Issue History
Date Modified Username Field Change
2011-12-08 01:36 Kangabunny New Issue
2012-06-05 23:23 gcamp Note Added: 0000215
2012-06-05 23:23 gcamp Status new => resolved
2012-06-05 23:23 gcamp Fixed in Version => 43.4
2012-06-05 23:23 gcamp Resolution open => fixed
2012-06-05 23:23 gcamp Assigned To => gcamp
2013-08-01 14:53 gcamp Note Added: 0000235


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker